<?php

require_once 'conf/sms_assistent.conf.php';
require_once 'sms_assistent.lib.php';

use SmsAssistentBy\Lib as ass_lib;

$sms_assistent = new ass_lib\sms_assistent(API_USERNAME, API_PASSWORD);

$_action = $_REQUEST['action'];

$request_data = [];

switch ($_action) {
    
    case 'check_telephone' : {
        
        $result = $sms_assistent->checkTelehpone(API_SENDER, $_REQUEST['telephone'], SMS_TEXT);
        
        if ($result['error'] == 0) {
            
            $request_data['message'] = 'Сообщение успешно отправлено.';
            $request_data['check_hash'] = $result['result'];
            
        } else {
           
            switch ($result['result']) {
            
               case '-4' : 
               case '-21' : $request_data['message'] = $result['error_messages'][0]; break;
               default : $request_data['message'] = 'Невозможно отправить SMS, обратитесь к владельцу интернет-ресурса'; break;
               
            }
           
            $request_data['check_hash'] = 0;
            
        }
        
        break;
        
    }
    
    case 'check_code' : {
     
        $result = $sms_assistent->checkCode($_REQUEST['check_hash'], $_REQUEST['code']);
        
        if ($result['error'] == 0) {
            
            $request_data['tel'] = $result['result'];
            $request_data['message'] = 'Номер телефона '.$result['result'].' успешно подтвержден.';
            $request_data['check_result'] = 1;
            
        } else {
            
            switch ($result['result']) {
                
                case -23 : $request_data['message'] = $result['error_messages'][0]; break;
                default : $request_data['message'] = 'Невозможно выполнить подтверждение, обратитесь к владельцу интернет-ресурса'; break;
                
            }
            
            $request_data['check_result'] = 0;
            
        }
        
        break;
        
    }
    
    
}

echo json_encode($request_data);

